WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Need Help with Plugin Code

[Resolved] Need Help with Plugin Code

  • I’m having some weird issues with a new plugin I am writing. I’m a ruby on rails developer and am writing this WP plugin for a friend. Not using anything special PHP-wise as far I can I tell but its causing some problems. If anyone can take a look at it with me and see if they can find my “bug”, I’d appreciate it.

    here are the issues:

    1) When the plugin is enabled, the RSS/Atom feeds on my site are malformed (they have a blank line at the top of the file and the XML declaration is on the 2nd line)

    2) On my installation of 2.1.3 I don’t see this error but on my friends installation of 2.2 he gets this error when trying to login/logout if the plugin is enabled. (This seems to happen always if the new HP Blog Printing plugin is activated).

    Warning: Cannot modify header information – headers already sent by (output
    started at
    /home/zarnold/public_html/thebackdrop/wp-content/plugins/feedcache/feedcache.php:148)
    in /home/zarnold/public_html/thebackdrop/wp-admin/theme-editor.php on line
    55

    Warning: Cannot modify header information – headers already sent by (output
    started at
    /home/zarnold/public_html/thebackdrop/wp-content/plugins/feedcache/feedcache.php:148)
    in /home/zarnold/public_html/thebackdrop/wp-login.php on line 12

    anyhelp would be appreciated. you can AIM me at: cpjolicoeur or email me at cpjolicoeur[at]gmail[dot]com

Viewing 6 replies - 1 through 6 (of 6 total)
Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] Need Help with Plugin Code’ is closed to new replies.
Skip to toolbar